Page MenuHomePhabricator

Dialogs in iOS mobile VE can't be scrolled
Closed, ResolvedPublic

Description

Dialogs in iOS mobile VE can't be scrolled.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2019, 10:05 PM
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.

It seems to be caused by the old code I restored in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/MobileFrontend/+/489222. Basically, the OOUI dialog is not "inside" the MobileFrontend overlay, and we prevent scrolling of anything outside the overlay, so it can't be scrolled.

It would be more robust to detect whether we're about to scroll the browser viewport, and only prevent that, but this is not trivial. I experimented with something similar in https://gerrit.wikimedia.org/r/c/oojs/ui/+/484608/1/src/WindowManager.js#221.

matmarex added a subscriber: kostajh.

(@kostajh reported this in the Web teams Google Chat last Tuesday, March 5, I would link to that but it doesn't seem to be possible)

Change 495826 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] Overlay: Refactor code to prevent browser viewport scrolling on iOS

https://gerrit.wikimedia.org/r/495826

ovasileva triaged this task as High priority.Mar 12 2019, 4:59 PM

FYI, this issue is in production now.

Change 496682 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] iOS: Do not jump to top of text editor during typing

https://gerrit.wikimedia.org/r/496682

Change 496682 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Do not jump to top of text editor during typing

https://gerrit.wikimedia.org/r/496682

Change 495826 abandoned by Bartosz Dziewoński:
Overlay: Refactor code to prevent browser viewport scrolling on iOS

Reason:
No longer needed in this form, the previous scrolling issues have been resolved by removing all of the scrolling code. Maybe I'll rescue some of this code for the fix for T218414.

https://gerrit.wikimedia.org/r/495826

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2019-03-15T17:59:54Z] <thcipriani@deploy1001> Synchronized php-1.33.0-wmf.21/extensions/MobileFrontend: SWAT: [[gerrit:496827|iOS: Fix mobile editor]] T218069 T218062 T218352 T211490 T218062 T211491 T172877 (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2019-03-15T17:59:54Z] <thcipriani@deploy1001> Synchronized php-1.33.0-wmf.21/extensions/MobileFrontend: SWAT: [[gerrit:496827|iOS: Fix mobile editor]] T218069 T218062 T218352 T211490 T218062 T211491 T172877 (duration: 00m 54s)

matmarex reassigned this task from matmarex to Jdlrobson.Mar 19 2019, 1:10 PM
Esanders moved this task from Inbox to High Priority on the Editing QA board.Mar 23 2019, 12:07 PM
ppelberg closed this task as Resolved.Apr 19 2019, 12:39 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 19 2019, 12:40 AM